Name:		kakasi
Version:	2.3.4
Release: 10
URL:		http://kakasi.namazu.org/
License:	GPL
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

## re-compressed with bzip2 instead of gzip
#Source:	ftp://kakasi.namazu.org/pub/kakasi/%{name}-%{version}.tar.gz
Source:		%{name}-%{version}.tar.bz2
Patch1:		kakasi-2.3.4-fixdict.patch


Summary:	A Japanese character set conversion filter.
Group:		Applications/Text

%description
KAKASI is a filter for converting Kanji characters to Hiragana or
Katakana characters, or into Romaji (phonetic transcription of
Japanese pronunciation).


%package devel
Summary:	Files for development of applications which will use KAKASI.
Group:		Development/Libraries
Requires:	%{name} = %{version}

%description devel
The kakasi-devel package contains the header file and library for
developing applications which will use the KAKASI Japanese character
set filter.


%package dict
Summary:	The base dictionary for KAKASI.
Group:		Applications/Text
Requires:	%{name} = %{version}
Obsoletes:	kakasidict

%description dict
The kakasi-dict package contains the base dictionary for the KAKASI
Japanese character set filter.


%prep
%setup -q
%patch1 -p1


%build
%configure
make


%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%makeinstall

%{__mkdir_p} $RPM_BUILD_ROOT%{_mandir}/ja/man1
%{__install} -m 644 doc/kakasi.1 $RPM_BUILD_ROOT%{_mandir}/ja/man1


%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-, root, root)
%doc AUTHORS ChangeLog COPYING NEWS README README-ja
%dir %{_datadir}/kakasi
%{_bindir}/*
%{_libdir}/libkakasi.so.*
%{_mandir}/ja/man1/kakasi.1.gz
%{_datadir}/kakasi/itaijidict

%files devel
%defattr(-, root, root)
%{_libdir}/libkakasi.so
%{_libdir}/libkakasi.a
%{_libdir}/libkakasi.la
%{_includedir}/libkakasi.h

%files dict
%defattr(-, root, root)
%{_datadir}/kakasi/kanwadict


%changelog
* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Wed Nov 20 2002 Tim Powers <timp@redhat.com>
- rebuild on all arches

* Thu Jul 18 2002 Akira TAGOH <tagoh@redhat.com> 2.3.4-8
- add the owned directory.

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Thu May 23 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Tue Apr 16 2002 Akira TAGOH <tagoh@redhat.com> 2.3.4-5
- kakasi-2.3.4-fixdict.patch: applied to fix an incorrect entry
  in dictionary.

* Wed Feb 27 2002 Akira TAGOH <tagoh@redhat.com> 2.3.4-3
- Build against new environment.

* Wed Jan 09 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Thu Nov  1 2001 Akira TAGOH <tagoh@redhat.com> 2.3.4-1
- New upstream release.
- Replaced the appropriate rpmmacros.
- Added requires: kakasi to kakasi-dict

* Thu Aug  9 2001 Tim Powers <timp@redhat.com>
- redhatify specfile
- no more man pages in /usr/man

* Sun Jun 24 2001 Elliot Lee <sopwith@redhat.com>
- Bump release + rebuild.
 
* Thu Feb 08 2001 Florian La Roche <Florian.LaRoche@redhat.de>
- add libtoolize to make porting to new archs easy
 
* Sun Aug 06 2000 Yukihiro Nakai <ynakai@redhat.com>
- Rebuild for 7.0J beta
 
* Sat Mar 04 2000 Ryuji Abe <raeva@t3.rim.or.jp>
- fix summary.
 
* Wed Dec 08 1999 Motonobu Ichimura <famao@kondara.org>
- change Group ( Utilities/Text -> Applications/Text ) for Kondara
 
* Fri Oct 28 1999 Ryuji Abe <raeva@t3.rim.or.jp>
- added japanese manpage in packages.
- build dict packages.
 
* Sat Oct 16 1999 Ryuji Abe <raeva@t3.rim.or.jp>
- fixed including libkakasi.so* in non-devel packages.
